
<template>
    <div>
      <h2>Register rent a car object</h2>
      <form @submit.prevent="registerObject">
        <div>
        <label for="objectName">Object Name:</label>
        <input type="text" id="objectName" v-model="objectData.objectName" required />
      </div>

      <div>
        <label for="vehicle">Vehicle:</label>
        <input type="text" id="vehicle" v-model="objectData.vehicle" required />
      </div>

      <div>
        <select v-model="objectData.status" required>
        <option value="" disabled>Select Type</option>
        <option value="radi">radi</option>
        <option value="ne rai">ne radi</option>
        
        </select>
      </div>

      <div>
        <label for="businessHours">Business Hours:</label>
        <input type="number" id="businessHours" v-model="objectData.businessHours" required/>
      </div>

      <div>
        <label for="location">location:</label>
        <input type="text" id="location" v-model="objectData.location" required/>
      </div>

      <div>
        <label for="logo">Logo:</label>
        <input type="text" id="logo" v-model="objectData.logo" required/>
      </div>

      <div>
        <label for="rating">Rating:</label>
        <input type="number" id="rating" v-model="objectData.rating" required/>
      </div>

      <div>
        <label for="managerId">Manager Id:</label>
        <input type="number" id="managerId" v-model="objectData.managerId" required />
      </div>

      <button type="submit">Register</button>
    </form>
      <p v-if="errorMessage" class="error">{{ errorMessage }}</p>
    </div>
  </template>
  
  <script>
  import axios from 'axios';
  
  export default {
    data() {
      return {
        objectData: {
            objectName: '',
            vehicle: [],
            objectStatus: '',
            businessHours: '',
            location: '',
            logo: '',
            rating: 0,
            managerId: 0,
      }
       ,
        errorMessage: '',
      };
    },
    methods: {
      registerObject() {
        // Make an API request to your Express.js backend for registration
        axios.post('/api/addObject', this.objectData)
          .then((response) => {
            if (response.data.registered) {
                this.$router.push('/login');
            } else {
              // Registration failed, display an error message
              this.errorMessage = 'Registration of object failed. Please try again.';
            }
          })
          .catch((error) => {
            // Handle any errors from the API request
            console.error('Registration of object error:', error);
          });
      },
    },
  };
  </script>
  
  <style>
  /* Add your CSS styles here for the registration form and error message */
  .error {
    color: red;
  }
  </style>
  